## pyepr 1.0.0

=== Makefile ===
#!/usr/bin/make -f
# -*- coding: utf-8 -*-

# Copyright (C) 2011-2019, Antonio Valentino <antonio.valentino@tiscali.it>
#
# This file is part of PyEPR.
#
# PyEPR is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# PyEPR is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with PyEPR.  If not, see <http://www.gnu.org/licenses/>.

PYTHON = python3
CYTHON = cython3
TEST_DATSET_URL = "http://earth.esa.int/services/sample_products/meris/LRC/L2/MER_LRC_2PTGMV20000620_104318_00000104X000_00000_00000_0001.N1.gz"
TEST_DATSET = tests/MER_LRC_2PTGMV20000620_104318_00000104X000_00000_00000_0001.N1

EPRAPIROOT = ../epr-api

.PHONY: default ext cythonize sdist eprsrc fullsdist doc clean distclean \
        check debug data upload manylinux coverage ext-coverage coverage-report

default: ext

ext: src/epr.pyx
	$(PYTHON) setup.py build_ext --inplace

cythonize: src/epr.c

src/epr.c: src/epr.pyx
	$(CYTHON) src/epr.pyx

sdist: doc cythonize
	$(PYTHON) setup.py sdist

epr-api-src:
	mkdir -p epr-api-src
	cp $(EPRAPIROOT)/src/*.[ch] epr-api-src

LICENSES/epr-api.txt:
	mkdir LICENSES
	cp $(EPRAPIROOT)/LICENSE.txt LICENSES/epr-api.txt

eprsrc: epr-api-src LICENSES/epr-api.txt

fullsdist: doc cythonize eprsrc
	$(PYTHON) setup.py sdist

upload: fullsdist
	twine upload dist/pyepr-*.tar.gz

doc:
	$(MAKE) -C doc html
	$(RM) -r doc/html
	mv doc/_build/html doc/html

clean:
	$(PYTHON) setup.py clean --all
	$(RM) -r build dist pyepr.egg-info
	$(RM) -r $$(find doc -name __pycache__) $$(find tests -name __pycache__)
	$(RM) MANIFEST src/*.c src/*.o *.so
	$(RM) tests/*.py[co] doc/sphinxext/*.py[co] README.html
	$(MAKE) -C doc clean
	$(RM) -r doc/_build
	find . -name '*~' -delete
	$(RM) *.c *.o *.html .coverage coverage.xml
	$(RM) src/epr.html
	$(RM) -r htmlcov
	$(RM) epr.p*        # workaround for Cython.Coverage bug #1985

distclean: clean
	$(RM) $(TEST_DATSET)
	$(RM) -r doc/html
	$(RM) -r LICENSES epr-api-src
	$(MAKE) -C tests -f checksetup.mak distclean

check: ext data
	env PYTHONPATH=. $(PYTHON) tests/test_all.py --verbose

ext-coverage: src/epr.pyx
	env PYEPR_COVERAGE=TRUE $(PYTHON) setup.py build_ext --inplace

coverage: clean ext-coverage data
	ln -s src/epr.p* .  # workaround for Cython.Coverage bug #1985
	env PYEPR_COVERAGE=TRUE PYTHONPATH=. \
		$(PYTHON) -m coverage run --branch --source=src setup.py test
	env PYTHONPATH=. $(PYTHON) -m coverage report

coverage-report: coverage
	env PYTHONPATH=. $(PYTHON) -m coverage xml -i
	env PYTHONPATH=. $(PYTHON) -m cython -E CYTHON_TRACE_NOGIL=1 \
		-X linetrace=True -X language_level=3str \
		--annotate-coverage coverage.xml src/epr.pyx
	env PYTHONPATH=. $(PYTHON) -m coverage html -i
	cp src/epr.html htmlcov

debug:
	$(PYTHON) setup.py build_ext --inplace --debug

data: $(TEST_DATSET)

$(TEST_DATSET):
	wget -P tests $(TEST_DATSET_URL)
	gunzip $@

manylinux:
	# make fullsdist
	# docker pull quay.io/pypa/manylinux2010_x86_64
	docker run --rm -v $(shell pwd):/io quay.io/pypa/manylinux2010_x86_64 sh /io/build-manylinux-wheels.sh

=== debian/changelog ===
pyepr (1.0.0-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:21:45 +0100

pyepr (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright file.
  * debian/patches:
    - refresh all patches

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 08 Sep 2019 21:36:41 +0000

pyepr (0.9.5-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Remove package name from lintian overrides.
  * Update gbp.conf to use --source-only-changes by default.
  * Bump Standards-Version to 4.4.0, no changes.
  * Add ${python3:Provides} substvar to arch: any packages.

  [ Antonio Valentino ]
  * Drop Python 2 support.
  * Set compat to 12.
  * Drop unnecessary override file: python3-epr-dbg.lintian-overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 21 Jul 2019 10:49:25 +0000

=== debian/control ===
Source: pyepr
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Priority: optional
Testsuite: autopkgtest-pkg-python
Build-Depends: debhelper (>= 12),
               dh-python,
               cython3,
               cython3-dbg,
               libepr-api-dev,
               python-numpy-doc,
               python3-all-dev,
               python3-all-dbg,
               python3-doc,
               python3-numpy,
               python3-numpy-dbg,
               python3-sphinx,
               texlive-latex-extra
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyepr
Vcs-Git: https://salsa.debian.org/debian-gis-team/pyepr.git
Homepage: https://avalentino.github.com/pyepr

Package: python3-epr
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-numpy
Suggests: python-epr-doc
Provides: ${python3:Provides}
Description: Python ENVISAT Product Reader API (Python 3)
 PyEPR provides Python bindings for the ENVISAT Product Reader C API
 (EPR API) for reading satellite data from ENVISAT ESA (European Space
 Agency) mission.
 .
 PyEPR, as well as the EPR API for C, supports ENVISAT MERIS, AATSR
 Level 1B and Level 2 and also ASAR data products. It provides access
 to the data either on a geophysical (decoded, ready-to-use pixel
 samples) or on a raw data layer. The raw data access makes it possible
 to read any data field contained in a product file.
 .
 This package contains pyepr for Python 3.

Package: python3-epr-dbg
Section: debug
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-epr (= ${binary:Version})
Recommends: python3-numpy-dbg
Provides: ${python3:Provides}
Description: Python ENVISAT Product Reader API (debug extension for Python 3)
 PyEPR provides Python bindings for the ENVISAT Product Reader C API
 (EPR API) for reading satellite data from ENVISAT ESA (European Space
 Agency) mission.
 .
 PyEPR, as well as the EPR API for C, supports ENVISAT MERIS, AATSR
 Level 1B and Level 2 and also ASAR data products. It provides access
 to the data either on a geophysical (decoded, ready-to-use pixel
 samples) or on a raw data layer. The raw data access makes it possible
 to read any data field contained in a product file.
 .
 This package contains the extension built for the Python 3 debug interpreter.

Package: python-epr-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Suggests: www-browser
Description: Python ENVISAT Product Reader API (common documentation)
 PyEPR provides Python bindings for the ENVISAT Product Reader C API
 (EPR API) for reading satellite data from ENVISAT ESA (European Space
 Agency) mission.
 .
 PyEPR, as well as the EPR API for C, supports ENVISAT MERIS, AATSR
 Level 1B and Level 2 and also ASAR data products. It provides access
 to the data either on a geophysical (decoded, ready-to-use pixel
 samples) or on a raw data layer. The raw data access makes it possible
 to read any data field contained in a product file.
 .
 This is the common documentation package.

## pyepr 1.0.1

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,11 @@
 # along with PyEPR.  If not, see <http://www.gnu.org/licenses/>.
 
 PYTHON = python3
-CYTHON = cython3
+CYTHON = $(PYTHON) -m cython
+DOWNLOAD = wget -c
+# DOWNLOAD = curl -C - -O
+CYTHONFLAGS=$(shell $(CYTHON) --help | grep -o -- '--3str')
+
 TEST_DATSET_URL = "http://earth.esa.int/services/sample_products/meris/LRC/L2/MER_LRC_2PTGMV20000620_104318_00000104X000_00000_00000_0001.N1.gz"
 TEST_DATSET = tests/MER_LRC_2PTGMV20000620_104318_00000104X000_00000_00000_0001.N1
 
@@ -36,7 +40,7 @@
 cythonize: src/epr.c
 
 src/epr.c: src/epr.pyx
-	$(CYTHON) src/epr.pyx
+	$(CYTHON) $(CYTHONFLAGS) src/epr.pyx
 
 sdist: doc cythonize
 	$(PYTHON) setup.py sdist
@@ -108,7 +112,8 @@
 data: $(TEST_DATSET)
 
 $(TEST_DATSET):
-	wget -P tests $(TEST_DATSET_URL)
+	$(DOWNLOAD) $(TEST_DATSET_URL)
+	mv $(shell basename $(TEST_DATSET_URL)) tests
 	gunzip $@
 
 manylinux:

=== requirements.txt ===
numpy>=1.7
cython>=0.19
unittest2;python_version<"3.4"

=== debian/changelog ===
pyepr (1.0.1-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes.
  * Drop Provides: ${python3:Provides}.
  * Drop Name field from upstream metadata.
  * Refresh all patches.
  * Set debhelper-compat version in Build-Depends.
  * Explicitly set Rules-Requires-Root: no.

  [ Bas Couwenberg ]
  * Update copyright years for Antonio Valentino.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 07 Mar 2020 14:46:49 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
 Priority: optional
+Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                cython3,
                cython3-dbg,
@@ -17,7 +18,7 @@
                python3-numpy-dbg,
                python3-sphinx,
                texlive-latex-extra
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyepr
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyepr.git
 Homepage: https://avalentino.github.com/pyepr
@@ -30,7 +31,6 @@
          ${shlibs:Depends},
          python3-numpy
 Suggests: python-epr-doc
-Provides: ${python3:Provides}
 Description: Python ENVISAT Product Reader API (Python 3)
  PyEPR provides Python bindings for the ENVISAT Product Reader C API
  (EPR API) for reading satellite data from ENVISAT ESA (European Space
@@ -53,7 +53,6 @@
          ${shlibs:Depends},
          python3-epr (= ${binary:Version})
 Recommends: python3-numpy-dbg
-Provides: ${python3:Provides}
 Description: Python ENVISAT Product Reader API (debug extension for Python 3)
  PyEPR provides Python bindings for the ENVISAT Product Reader C API
  (EPR API) for reading satellite data from ENVISAT ESA (European Space

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export PYBUILD_NAME=epr
export PYBUILD_DISABLE=test
export DEB_BUILD_MAINT_OPTIONS=hardening=+all


include /usr/share/dpkg/pkg-info.mk
BUILD_DATE="$(date --utc --date="@${SOURCE_DATE_EPOCH:-$(date +%s)}" +%Y-%m-%d)"
SPHINXOPTS := -D today=\"$(BUILD_DATE)\"
SPHINXOPTS += -D html_last_updated_fmt=\"$(BUILD_DATE)\"


ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
export CFLAGS ?= -O0
endif


%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_python3:
	dh_python3 -N python-epr-doc
	dh_numpy3 -N python-epr-doc


override_dh_auto_clean:
	dh_auto_clean
	$(RM) src/epr.c
	$(RM) -r doc/_build doc/html
	$(RM) -r build
	$(RM) -r *.egg-info


override_dh_strip:
	dh_strip -ppython3-epr --dbg-package=python3-epr-dbg


override_dh_installchangelogs:
	dh_installchangelogs -k doc/NEWS.rst


override_dh_compress:
	dh_compress -X.txt -X.rst -X.html -X.py


override_dh_sphinxdoc:
ifneq "$(shell dh_listpackages | grep -- -doc)" ""
	dh_sphinxdoc
endif


override_dh_installdocs:
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) SPHINXOPTS="$(SPHINXOPTS)" doc
	$(RM) -r doc/html/_downloads
else
	mkdir -p doc/html
endif
	dh_installdocs

## pyepr 1.1.3

=== Makefile ===
#!/usr/bin/make -f
# -*- coding: utf-8 -*-

# Copyright (C) 2011-2021, Antonio Valentino <antonio.valentino@tiscali.it>
#
# This file is part of PyEPR.
#
# PyEPR is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# PyEPR is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with PyEPR.  If not, see <http://www.gnu.org/licenses/>.

PYTHON = python3
CYTHON = $(PYTHON) -m cython
CYTHONFLAGS=$(shell $(CYTHON) --help | grep -o -- '--3str')

TEST_DATSET = tests/$(shell grep N1 tests/test_all.py | cut -d "'" -f 2)

EPRAPIROOT = extern/epr-api

.PHONY: default ext cythonize sdist eprsrc fullsdist doc clean distclean \
        check debug data upload manylinux coverage ext-coverage coverage-report

default: ext

ext: src/epr.pyx
	$(PYTHON) setup.py build_ext --inplace --epr-api-src=$(EPRAPIROOT)/src

cythonize: src/epr.c

src/epr.c: src/epr.pyx
	$(CYTHON) $(CYTHONFLAGS) src/epr.pyx

sdist: doc
	$(PYTHON) -m build --sdist

LICENSES/epr-api.txt:
	mkdir LICENSES
	cp $(EPRAPIROOT)/LICENSE.txt LICENSES/epr-api.txt

eprsrc: LICENSES/epr-api.txt

fullsdist: doc eprsrc
	$(PYTHON) -m build --sdist

upload: fullsdist
	twine check dist/pyepr-*.tar.gz
	twine upload dist/pyepr-*.tar.gz

doc:
	$(MAKE) -C doc html
	$(RM) -r doc/html
	mv doc/_build/html doc/html

clean:
	$(PYTHON) setup.py clean --all
	$(RM) -r build dist pyepr.egg-info wheelhouse
	$(RM) -r $$(find doc -name __pycache__) $$(find tests -name __pycache__)
	$(RM) MANIFEST src/*.c src/*.o *.so
	$(RM) tests/*.py[co] doc/sphinxext/*.py[co] README.html
	$(MAKE) -C doc clean
	$(RM) -r doc/_build
	find . -name '*~' -delete
	$(RM) *.c *.o *.html .coverage coverage.xml
	$(RM) src/epr.html
	$(RM) -r htmlcov .pytest_cache .hypothesis
	$(RM) epr.p*        # workaround for Cython.Coverage bug #1985

distclean: clean
	$(RM) $(TEST_DATSET)
	$(RM) -r doc/html
	$(RM) -r LICENSES
	$(MAKE) -C tests -f checksetup.mak distclean
	$(RM) -r .eggs

check: ext
	env PYTHONPATH=. $(PYTHON) tests/test_all.py --verbose

ext-coverage: src/epr.pyx
	env PYEPR_COVERAGE=TRUE $(PYTHON) setup.py build_ext --inplace

coverage: clean ext-coverage
	ln -s src/epr.p* .  # workaround for Cython.Coverage bug #1985
	env PYEPR_COVERAGE=TRUE PYTHONPATH=. \
		$(PYTHON) -m coverage run --branch --source=src setup.py test
	env PYTHONPATH=. $(PYTHON) -m coverage report

coverage-report: coverage
	env PYTHONPATH=. $(PYTHON) -m cython -E CYTHON_TRACE_NOGIL=1 \
		-X linetrace=True -X language_level=3str \
		--annotate-coverage coverage.xml src/epr.pyx
	env PYTHONPATH=. $(PYTHON) -m coverage xml -i
	env PYTHONPATH=. $(PYTHON) -m coverage html -i
	cp src/epr.html htmlcov

debug:
	$(PYTHON)d setup.py build_ext --inplace --debug

wheels:
	# make distclean
	# python3 -m pip install -U cibuildwheel
	python3 -m cibuildwheel --output-dir wheelhouse --platform linux

=== debian/changelog ===
pyepr (1.1.3-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:55:10 +0000

pyepr (1.1.3-1) unstable; urgency=medium

  * New upstream version.
  * Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 27 Nov 2021 13:25:59 +0000

pyepr (1.1.1-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.0, no changes.

  [ Antonio Valentino ]
  * Drop the -dbg package (Closes: 994326).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 26 Sep 2021 08:38:44 +0000

pyepr (1.1.1-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1, no changes.
  * Update watch file for GitHub URL changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Refresh all patches.
  * Update debian/copyright file.
  * Add build dependency form setuptools.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 17 Aug 2021 08:26:15 +0000

=== debian/control ===
--- 
+++ 
@@ -8,17 +8,15 @@
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                cython3,
-               cython3-dbg,
                libepr-api-dev,
                python-numpy-doc,
                python3-all-dev,
-               python3-all-dbg,
                python3-doc,
                python3-numpy,
-               python3-numpy-dbg,
+               python3-setuptools,
                python3-sphinx,
                texlive-latex-extra
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyepr
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyepr.git
 Homepage: https://avalentino.github.com/pyepr
@@ -44,28 +42,6 @@
  .
  This package contains pyepr for Python 3.
 
-Package: python3-epr-dbg
-Section: debug
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends},
-         ${python3:Depends},
-         ${shlibs:Depends},
-         python3-epr (= ${binary:Version})
-Recommends: python3-numpy-dbg
-Description: Python ENVISAT Product Reader API (debug extension for Python 3)
- PyEPR provides Python bindings for the ENVISAT Product Reader C API
- (EPR API) for reading satellite data from ENVISAT ESA (European Space
- Agency) mission.
- .
- PyEPR, as well as the EPR API for C, supports ENVISAT MERIS, AATSR
- Level 1B and Level 2 and also ASAR data products. It provides access
- to the data either on a geophysical (decoded, ready-to-use pixel
- samples) or on a raw data layer. The raw data access makes it possible
- to read any data field contained in a product file.
- .
- This package contains the extension built for the Python 3 debug interpreter.
-
 Package: python-epr-doc
 Architecture: all
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-# Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 export PYBUILD_NAME=epr
 export PYBUILD_DISABLE=test
@@ -36,10 +35,6 @@
 	$(RM) -r *.egg-info
 
 
-override_dh_strip:
-	dh_strip -ppython3-epr --dbg-package=python3-epr-dbg
-
-
 override_dh_installchangelogs:
 	dh_installchangelogs -k doc/NEWS.rst

## pyepr 1.1.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- coding: utf-8 -*-
 
-# Copyright (C) 2011-2021, Antonio Valentino <antonio.valentino@tiscali.it>
+# Copyright (C) 2011-2023, Antonio Valentino <antonio.valentino@tiscali.it>
 #
 # This file is part of PyEPR.
 #
@@ -22,7 +22,7 @@
 CYTHON = $(PYTHON) -m cython
 CYTHONFLAGS=$(shell $(CYTHON) --help | grep -o -- '--3str')
 
-TEST_DATSET = tests/$(shell grep N1 tests/test_all.py | cut -d "'" -f 2)
+TEST_DATSET = tests/$(shell grep N1 tests/test_all.py | cut -d '"' -f 2)
 
 EPRAPIROOT = extern/epr-api
 
@@ -57,15 +57,13 @@
 
 doc:
 	$(MAKE) -C doc html
-	$(RM) -r doc/html
-	mv doc/_build/html doc/html
 
 clean:
 	$(PYTHON) setup.py clean --all
 	$(RM) -r build dist pyepr.egg-info wheelhouse
 	$(RM) -r $$(find doc -name __pycache__) $$(find tests -name __pycache__)
 	$(RM) MANIFEST src/*.c src/*.o *.so
-	$(RM) tests/*.py[co] doc/sphinxext/*.py[co] README.html
+	$(RM) tests/*.py[co]
 	$(MAKE) -C doc clean
 	$(RM) -r doc/_build
 	find . -name '*~' -delete
@@ -76,7 +74,6 @@
 
 distclean: clean
 	$(RM) $(TEST_DATSET)
-	$(RM) -r doc/html
 	$(RM) -r LICENSES
 	$(MAKE) -C tests -f checksetup.mak distclean
 	$(RM) -r .eggs
@@ -88,18 +85,7 @@
 	env PYEPR_COVERAGE=TRUE $(PYTHON) setup.py build_ext --inplace
 
 coverage: clean ext-coverage
-	ln -s src/epr.p* .  # workaround for Cython.Coverage bug #1985
-	env PYEPR_COVERAGE=TRUE PYTHONPATH=. \
-		$(PYTHON) -m coverage run --branch --source=src setup.py test
-	env PYTHONPATH=. $(PYTHON) -m coverage report
-
-coverage-report: coverage
-	env PYTHONPATH=. $(PYTHON) -m cython -E CYTHON_TRACE_NOGIL=1 \
-		-X linetrace=True -X language_level=3str \
-		--annotate-coverage coverage.xml src/epr.pyx
-	env PYTHONPATH=. $(PYTHON) -m coverage xml -i
-	env PYTHONPATH=. $(PYTHON) -m coverage html -i
-	cp src/epr.html htmlcov
+	$(PYTHON) -m pytest --cov --cov-report=term --cov-report=html
 
 debug:
 	$(PYTHON)d setup.py build_ext --inplace --debug

=== debian/changelog ===
pyepr (1.1.4-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Enable numpy3 dh helper.

  [ Antonio Valentino ]
  * Enable CI on Salsa.
  * New upstream release.
  * Update d/copyright.
  * Refresh all patches.
  * debian/rules:
    - fix override_dh_installdocs target.
  * debian/control:
    - drop dependency on python-numpy-doc
    - add dependency on python3-ipython, python3-packaging and
      sphinx_rtd_theme.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 09 Jan 2023 22:55:15 +0000

pyepr (1.1.3-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.

  [ Antonio Valentino ]
  * Fix d/copyright formatting.
  * Add build-dependency on pybuild-plugin-pyproject.
  * Update copyright date in d/copyright.
  * debian/control:
    - fix homepage URL.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 17 Oct 2022 06:09:51 +0000

=== debian/control ===
--- 
+++ 
@@ -9,25 +9,27 @@
                dh-python,
                cython3,
                libepr-api-dev,
-               python-numpy-doc,
+               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-doc,
+               python3-ipython,
                python3-numpy,
+               python3-packaging,
                python3-setuptools,
                python3-sphinx,
+               python3-sphinx-rtd-theme,
                texlive-latex-extra
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyepr
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyepr.git
-Homepage: https://avalentino.github.com/pyepr
+Homepage: https://avalentino.github.io/pyepr
 
 Package: python3-epr
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${python3:Depends},
+Depends: ${python3:Depends},
          ${shlibs:Depends},
-         python3-numpy
+         ${misc:Depends}
 Suggests: python-epr-doc
 Description: Python ENVISAT Product Reader API (Python 3)
  PyEPR provides Python bindings for the ENVISAT Product Reader C API

=== debian/rules ===
--- 
+++ 
@@ -19,11 +19,14 @@
 
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,numpy3,sphinxdoc --buildsystem=pybuild
 
 
 override_dh_python3:
 	dh_python3 -N python-epr-doc
+
+
+override_dh_numpy3:
 	dh_numpy3 -N python-epr-doc
 
 
@@ -52,8 +55,8 @@
 override_dh_installdocs:
 ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) SPHINXOPTS="$(SPHINXOPTS)" doc
-	$(RM) -r doc/html/_downloads
+	$(RM) -r doc/_build/html/_downloads
 else
-	mkdir -p doc/html
+	mkdir -p doc/_build/html
 endif
 	dh_installdocs

## pyepr 1.1.5

=== Makefile ===
--- 
+++ 
@@ -60,7 +60,7 @@
 
 clean:
 	$(PYTHON) setup.py clean --all
-	$(RM) -r build dist pyepr.egg-info wheelhouse
+	$(RM) -r build dist src/pyepr.egg-info wheelhouse
 	$(RM) -r $$(find doc -name __pycache__) $$(find tests -name __pycache__)
 	$(RM) MANIFEST src/*.c src/*.o *.so
 	$(RM) tests/*.py[co]
@@ -85,7 +85,7 @@
 	env PYEPR_COVERAGE=TRUE $(PYTHON) setup.py build_ext --inplace
 
 coverage: clean ext-coverage
-	$(PYTHON) -m pytest --cov --cov-report=term --cov-report=html
+	env PYTHONPATH=src $(PYTHON) -m pytest --cov --cov-report=term --cov-report=html
 
 debug:
 	$(PYTHON)d setup.py build_ext --inplace --debug

=== debian/changelog ===
pyepr (1.1.5-2build4) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 17:57:09 +0000

pyepr (1.1.5-2build3) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 28 Jan 2025 11:36:06 +0000

pyepr (1.1.5-2build2) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:28:42 +0100

pyepr (1.1.5-2build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:22:44 +0000

pyepr (1.1.5-2) unstable; urgency=medium

  * debian/control:
    - Move the common package description to source.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Dec 2023 14:38:43 +0000

pyepr (1.1.5-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Use execute_before instead of override in rules file.
  * Switch to dh-sequence-*.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/control:
    - Use <!nodoc> marker.
    - Switch to autopkgtest-pkg-pybuild.
  * debian/rules:
    - Clean rules.
    - Improve rule for building docs.
  * Update the clean target.
  * New d/python3-epr.lintian-overrides file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 28 Oct 2023 15:17:58 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export PYBUILD_NAME=epr
export PYBUILD_DISABLE=test
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/pkg-info.mk
BUILD_DATE="$(date --utc --date="@${SOURCE_DATE_EPOCH:-$(date +%s)}" +%Y-%m-%d)"
SPHINXOPTS := -D today=\"$(BUILD_DATE)\"
SPHINXOPTS += -D html_last_updated_fmt=\"$(BUILD_DATE)\"

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
export CFLAGS ?= -O0
endif

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd doc && \
	env PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	sphinx-build -N -E -T $(SPHINXOPTS) -b html . $(CURDIR)/.pybuild/docs/html
	$(RM) -r $(CURDIR)/.pybuild/docs/html/.doctrees
	$(RM) -r $(CURDIR)/.pybuild/docs/html/_downloads
else
	mkdir -p  $(CURDIR)/.pybuild/docs/html
endif

override_dh_python3:
	dh_python3 -N python-epr-doc

override_dh_installchangelogs:
	dh_installchangelogs -k doc/NEWS.rst

override_dh_compress:
	dh_compress -X.txt -X.rst -X.html -X.py

## pyepr 1.2.0

=== Makefile ===
#!/usr/bin/make -f

PYTHON=python3
CYTHON=$(PYTHON) -m cython
CYTHONFLAGS=-3

TEST_DATSET = tests/$(shell grep N1 tests/test_all.py | cut -d '"' -f 2)

EPRAPIROOT = extern/epr-api
TARGET=epr

.PHONY: default help check coverage clean distclean \
        lint docs ext wheels \
        sdist fullsdist cythonize eprsrc ext-coverage coverage-report \
        debug upload

default: help

help:
	@echo "Usage: make <TARGET>"
	@echo "Available targets:"
	@echo "  help      - print this help message"
	@echo "  sdist     - generate the distribution packages (source)"
	@echo "  check     - run a full test (using pytest)"
	@echo "  fullcheck - run a full test (using tox)"
	@echo "  coverage  - run tests and generate the coverage report"
	@echo "  clean     - clean build artifacts"
	@echo "  cleaner   - clean cache files and working directories of al tools"
	@echo "  distclean - clean all the generated files"
	@echo "  lint      - perform check with code linter (flake8, black)"
	@echo "  docs      - generate the sphinx documentation"
	@echo "  ext       - build Python extensions in-place"
	@echo "  wheels    - build Python wheels"
	@echo "  fulldist  - build source distribution including pre-built docs and epr-api source code"
	@echo "  cythonize - generate cython C extensions"
	@echo "  eprsrc    - "
	@echo "  ext-coverage    - "
	@echo "  coverage-report - "
	@echo "  debug     - "

sdist: docs
	$(PYTHON) -m build --sdist
	$(PYTHON) -m twine check dist/*.tar.gz

check: ext
	env PYTHONPATH=src $(PYTHON) tests/test_all.py --verbose

fullcheck:
	$(PYTHON) -m tox run

coverage: clean ext-coverage
	env PYTHONPATH=src $(PYTHON) -m pytest --doctest-modules --cov=$(TARGET) --cov-report=html --cov-report=term src/$(TARGET) tests

clean:
	$(PYTHON) setup.py clean --all
	$(RM) -r src/*.*-info build
	find . -name __pycache__ -type d -exec $(RM) -r {} +
	# $(RM) -r __pycache__ */__pycache__ */*/__pycache__ */*/*/__pycache__
	$(RM) src/$(TARGET)/*.c src/$(TARGET)/*.cpp src/$(TARGET)/*.so src/$(TARGET)/*.o
	if [ -f docs/Makefile ] ; then $(MAKE) -C docs clean; fi
	$(RM) -r docs/_build
	$(RM) MANIFEST
	find . -name '*~' -delete
	$(RM) src/epr/epr.html
	$(RM) epr.p*        # workaround for Cython.Coverage bug #1985

cleaner: clean
	$(RM) -r .coverage htmlcov
	$(RM) -r .pytest_cache
	$(RM) -r .tox
	$(RM) -r .mypy_cache
	$(RM) -r .ruff_cache
	$(RM) -r .ipynb_checkpoints
	$(RM) -r .hypothesis

distclean: cleaner
	$(RM) -r dist
	$(RM) -r wheelhouse
	$(RM) $(TEST_DATSET)
	$(RM) -r LICENSES

lint:
	$(PYTHON) -m flake8 --count --statistics src/$(TARGET) tests
	$(PYTHON) -m pydocstyle --count src/$(TARGET)
	# $(PYTHON) -m isort --check src/$(TARGET) tests
	$(PYTHON) -m black --check src/$(TARGET) tests
	# $(PYTHON) -m mypy --check-untyped-defs --ignore-missing-imports src/$(TARGET)
	ruff check src/$(TARGET) tests

docs:
	mkdir -p docs/_static
	$(MAKE) -C docs html
	$(MAKE) -C docs linkcheck
	$(MAKE) -C docs spelling

ext: src/epr/epr.pyx
	$(PYTHON) setup.py build_ext --inplace --epr-api-src=$(EPRAPIROOT)/src

cythonize: src/epr/_epr.c

src/epr/_epr.c: src/epr/epr.pyx
	$(CYTHON) $(CYTHONFLAGS) -o src/epr/_epr.c src/epr/epr.pyx

LICENSES/epr-api.txt:
	mkdir LICENSES
	cp $(EPRAPIROOT)/LICENSE.txt LICENSES/epr-api.txt

eprsrc: LICENSES/epr-api.txt

fullsdist: eprsrc
	$(PYTHON) -m build --sdist

ext-coverage: src/epr/epr.pyx
	env PYEPR_COVERAGE=TRUE $(PYTHON) setup.py build_ext --inplace

debug:
	$(PYTHON)d setup.py build_ext --inplace --debug

wheels:
	# Requires docker
	python3 -m cibuildwheel --platform auto --output-dir wheelhouse

=== debian/changelog ===
pyepr (1.2.0-2) unstable; urgency=medium

  [ Antonio Valentino ]
  * debian/control:
    - Mark python-epr-doc as Multi-Arch: foreign.
    - Drop 'Rules-Requires-Root: no', no longer needed.
  * Set upstream metadata fields: Documentation.

  [ Bas Couwenberg ]
  * Update lintian overrides.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 20 Sep 2025 10:28:31 +0000

pyepr (1.2.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.

  [ Antonio Valentino ]
  * New upstream release.
  * Update dates in d/copyrigth.
  * debian/pathces:
    - Refresh all patches.
    - New 0002-Use-local-mathjax.patch.
  * debian/control:
    - Add dependency on mathjax.
    - Clean multi-arch same/foreign.
  * Adjust debian files for the new package layout.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Mon, 07 Apr 2025 08:43:40 +0000

=== debian/control ===
Source: pyepr
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Priority: optional
Testsuite: autopkgtest-pkg-pybuild
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-numpy3,
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               cython3,
               libepr-api-dev,
               libjs-mathjax <!nodoc>,
               pybuild-plugin-pyproject,
               python3-all-dev,
               python3-doc <!nodoc>,
               python3-ipython <!nodoc>,
               python3-numpy,
               python3-packaging,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               texlive-latex-extra <!nodoc>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyepr
Vcs-Git: https://salsa.debian.org/debian-gis-team/pyepr.git
Homepage: https://avalentino.github.io/pyepr
Description: Python ENVISAT Product Reader API
 PyEPR provides Python bindings for the ENVISAT Product Reader C API
 (EPR API) for reading satellite data from ENVISAT ESA (European Space
 Agency) mission.
 .
 PyEPR, as well as the EPR API for C, supports ENVISAT MERIS, AATSR
 Level 1B and Level 2 and also ASAR data products. It provides access
 to the data either on a geophysical (decoded, ready-to-use pixel
 samples) or on a raw data layer. The raw data access makes it possible
 to read any data field contained in a product file.

Package: python3-epr
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Suggests: python-epr-doc
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: python-epr-doc
Architecture: all
Section: doc
Multi-Arch: foreign
Depends: libjs-mathjax,
         ${sphinxdoc:Depends},
         ${misc:Depends}
Suggests: www-browser
Description: ${source:Synopsis} -- documentation
 ${source:Extended-Description}
 .
 This is the common documentation package.

=== debian/rules ===
--- 
+++ 
@@ -20,9 +20,8 @@
 
 execute_after_dh_auto_build-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	cd doc && \
-	env PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
-	sphinx-build -N -E -T $(SPHINXOPTS) -b html . $(CURDIR)/.pybuild/docs/html
+	env http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
+	sphinx-build -N -E -T $(SPHINXOPTS) -b html docs $(CURDIR)/.pybuild/docs/html
 	$(RM) -r $(CURDIR)/.pybuild/docs/html/.doctrees
 	$(RM) -r $(CURDIR)/.pybuild/docs/html/_downloads
 else
@@ -33,7 +32,7 @@
 	dh_python3 -N python-epr-doc
 
 override_dh_installchangelogs:
-	dh_installchangelogs -k doc/NEWS.rst
+	dh_installchangelogs -k docs/NEWS.rst
 
 override_dh_compress:
 	dh_compress -X.txt -X.rst -X.html -X.py

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|pyepr)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/pyepr-$1.$2/ \
https://github.com/avalentino/pyepr/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|pyepr)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pyepr 1.3.0

=== Makefile ===
#!/usr/bin/make -f

PYTHON=python3
SPHINX_APIDOC=sphinx-apidoc
TARGET=epr

CYTHON=$(PYTHON) -m cython
CYTHONFLAGS=-3

TEST_DATSET = tests/$(shell grep N1 tests/test_all.py | cut -d '"' -f 2)

EPRAPIROOT = extern/epr-api

.PHONY: default help dist check fullcheck coverage clean cleaner distclean \
        lint docs ext wheels \
        debug cythonize ext-coverage coverage-report

default: help

help:
	@echo "Usage: make <TARGET>"
	@echo "Available targets:"
	@echo "  help      - print this help message"
	@echo "  dist      - generate the distribution packages (source and wheel)"
	@echo "  check     - run a full test (using pytest)"
	@echo "  fullcheck - run a full test (using tox)"
	@echo "  coverage  - run tests and generate the coverage report"
	@echo "  clean     - clean build artifacts"
	@echo "  cleaner   - clean cache files and working directories of al tools"
	@echo "  distclean - clean all the generated files"
	@echo "  lint      - perform check with code linter (flake8, black)"
	@echo "  docs      - generate the sphinx documentation"
	@echo "  ext       - build Python extensions in-place"
	@echo "  wheels    - build Python wheels"
	@echo "  cythonize - generate cython C extensions"
	@echo "  debug     - generate debug build"
	@echo "  ext-coverage    - build the extension in-place with tracing enabled"
	@echo "  coverage-report - generate the coverage report"
	@echo "  stubs     - generate Python typing stubs for cython modules"

dist:
	$(PYTHON) -m build
	$(PYTHON) -m twine check dist/*.tar.gz dist/*.whl

check: ext
	env PYTHONPATH=src $(PYTHON) -m pytest --doctest-modules src/$(TARGET) tests

fullcheck:
	$(PYTHON) -m tox run

coverage: clean ext-coverage
	env PYTHONPATH=src $(PYTHON) -m pytest --doctest-modules --cov=$(TARGET) --cov-report=html --cov-report=term src/$(TARGET) tests

clean:
	# $(PYTHON) setup.py clean --all
	$(RM) -r src/*.*-info build
	find . -name __pycache__ -type d -exec $(RM) -r {} +
	# $(RM) -r __pycache__ */__pycache__ */*/__pycache__ */*/*/__pycache__
	$(RM) src/$(TARGET)/*.c src/$(TARGET)/*.cpp src/$(TARGET)/*.so src/$(TARGET)/*.o
	if [ -f docs/Makefile ] ; then $(MAKE) -C docs clean; fi
	$(RM) -r docs/_build
	$(RM) MANIFEST
	find . -name '*~' -delete
	$(RM) src/epr/epr.html
	$(RM) epr.p*        # workaround for Cython.Coverage bug #1985

cleaner: clean
	$(RM) -r .coverage htmlcov
	$(RM) -r .pytest_cache
	$(RM) -r .tox
	$(RM) -r .mypy_cache
	$(RM) -r .ruff_cache
	$(RM) -r .ipynb_checkpoints
	$(RM) -r .hypothesis

distclean: cleaner
	$(RM) -r dist
	$(RM) -r wheelhouse
	$(RM) $(TEST_DATSET)

lint:
	# $(PYTHON) -m flake8 --count --statistics src/$(TARGET) tests
	$(PYTHON) -m pydocstyle --count src/$(TARGET)
	# $(PYTHON) -m isort --check src/$(TARGET) tests
	$(PYTHON) -m black --check src/$(TARGET) tests
	$(PYTHON) -m mypy --check-untyped-defs src/$(TARGET)  # --ignore-missing-imports
	# ruff check src/$(TARGET) tests
	codespell

docs:
	mkdir -p docs/_static
	$(MAKE) -C docs html
	$(MAKE) -C docs linkcheck
	$(MAKE) -C docs spelling

ext: src/epr/_epr.pyx src/epr/_epr.pxd
	$(PYTHON) setup.py build_ext --inplace --epr-api-src=$(EPRAPIROOT)/src

cythonize: src/epr/_epr.c

src/epr/_epr.c: src/epr/_epr.pyx src/epr/_epr.pxd
	$(CYTHON) $(CYTHONFLAGS) -o src/epr/_epr.c src/epr/_epr.pyx

ext-coverage: src/epr/_epr.pyx src/epr/_epr.pxd
	env PYEPR_COVERAGE=TRUE $(PYTHON) setup.py build_ext --inplace

debug:
	$(PYTHON)d setup.py build_ext --inplace --debug

wheels:
	# Requires docker
	python3 -m cibuildwheel --platform auto

stubs:
	env PYTHONPATH=src stubgen -v -m epr._epr -o src
	mv src/epr/_epr.pyi _epr.pyi
	grep -v _cython _epr.pyi | grep -v __pyx_ | grep -v _typeshed | grep -v Incomplete > src/epr/_epr.pyi
	$(RM) _epr.pyi

=== debian/changelog ===
pyepr (1.3.0-2) unstable; urgency=medium

  * Fix d/clean.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 04 Jan 2026 10:57:01 +0000

pyepr (1.3.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Use debrebuild instead of reprotest.
  * Drop Priority: optional, default since dpkg 1.22.13.
  * Bump Standards-Version to 4.7.3, changes: priority.

  [ Antonio Valentino ]
  * New upstream release.
  * Update dates in d/copyright.
  * debian/patches:
    - Refresh all patches.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 03 Jan 2026 23:55:19 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Section: python
-Priority: optional
 Testsuite: autopkgtest-pkg-pybuild
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -22,7 +21,7 @@
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                texlive-latex-extra <!nodoc>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pyepr
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pyepr.git
 Homepage: https://avalentino.github.io/pyepr
